@media (max-width: 1280px) {
    .section__galerie.is-big:not(.grid__masonry--element .section__galerie) {
        width: 80vw;
    }
    
    .section__galerie.is-medium:not(.grid__masonry--element .section__galerie) {
        width: 60vw;
    }
    
    .section__galerie.is-small:not(.grid__masonry--element .section__galerie) {
        width: 40vw;
    }       

    #kvwh_search__results,
    #kvwh_search {
        background-size: 40px;
        width: 66vw;
        z-index: 2;
    }

    input[type="search" i]::-webkit-search-cancel-button,
    #aside__search::-webkit-search-cancel-button {
        top: 27px;
        right: 94px;
    }

    .grid__masonry {
        grid-template-columns: repeat(auto-fill, minmax(calc( 33.333333333vw - calc( 2 * var(--var-gutter) ) ), 1fr));
    }
}

@media (max-width: 1024px) {
    #nav__footer ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-start;
    }

    footer {
        display: flex;
        flex-direction: column;
    }

    .grid__masonry {
        grid-template-columns: repeat(auto-fill, minmax(calc( 50vw - calc( 2 * var(--var-gutter) ) ), 1fr));
    }

    #kvwh_search__results,
    #kvwh_search {
        width: 75vw;
    }

    input[type="search" i]::-webkit-search-cancel-button,
    #aside__search::-webkit-search-cancel-button {
        top: 18px;
        right: 94px;
    }            

    nav#nav__main > ul {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;

    }

    .section__galerie--grid,
    .section__sponsoren--grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-auto-flow: inherit;
    }

    #aside__events--scope #events__scope--inner {
        flex-direction: column;
    }

    .events__filter--period,
    .events__filter--categories {
        width: 80vw;
        flex-direction: column;
    }

    .section__galerie.is-big:not(.grid__masonry--element .section__galerie) {
        width: 100%;
    }
    
    .section__galerie.is-medium:not(.grid__masonry--element .section__galerie) {
        width: 75vw;
    }
    
    .section__galerie.is-small:not(.grid__masonry--element .section__galerie) {
        width: 50vw;
    }       

    tr.event__single--preview {
        flex-direction: column;
        padding: calc( 0.5 * var(--var-gutter) 0);

    }

    .kalender__month tr {
        flex-direction: column;
    }

    .event__single--date,
    .event__single--date--end {
        display: inline-block;
    }

    #orte {
        flex-direction: column;
    }

    .event__single--date--tags {
        display: flex;
        justify-content: end;
    }

    .kalender__month--content .event__single--preview {
        padding: var(--var-gutter) 0;
    }

    .section__dreispalter {
        grid-template-columns: 1fr 1fr;
    }

    #header__branding--inner .desktop {
        display: none;
    }

    #header__branding--inner .mobile {
        display: block;
    }

    .wpcf7 textarea,
    .wpcf7 input[type="url"], 
    .wpcf7 input[type="email"], 
    .wpcf7 input[type="tel"],
    .wpcf7 input[type="text"],
    .wpcf7 input[type="submit"],
    .wpcf7 input[type="checkbox"],
    .wpcf7 select {
        max-width: calc(100vw - 40px); 
    }
}

@media (max-width: 768px) {
    .grid__masonry {
        grid-template-columns: repeat(auto-fill, minmax(calc( 100vw - calc( 2 * var(--var-gutter) ) ), 1fr));
    }

    .section__dreispalter {
        grid-template-columns: 1fr;
    }

    nav#nav__main > ul {
        grid-template-columns: repeat(1, 1fr);
    }

    .section__table--row {
        display: flex;
        flex-direction: column;
        gap: 0px;
    }

    .section__table {
        gap: var(--var-gutter);
    }

    .section__galerie.is-big:not(.grid__masonry--element .section__galerie),
    .section__galerie.is-medium:not(.grid__masonry--element .section__galerie) {
        width: 100%;
    }
    
    .section__galerie.is-small:not(.grid__masonry--element .section__galerie) {
        width: 75vw;
    }       

    .section__galerie--grid,
    .section__sponsoren--grid {
        display: grid;
        grid-template-columns: 1fr;
        grid-auto-flow: inherit;
    }

    #kvwh_search__results,
    #kvwh_search {
        width: calc(100vw - 40px);
    }

    input[type="search" i]::-webkit-search-cancel-button, 
    #aside__search::-webkit-search-cancel-button {
        top: 10px;
        right: 64px;
    }
}